Bug 63715 - Maintainer update: astro/seti-applet (2.1.3) revival
Summary: Maintainer update: astro/seti-applet (2.1.3) revival
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-03 21:30 UTC by Cyrille Lefevre
Modified: 2004-12-22 01:04 UTC (History)
0 users

See Also:


Attachments
file.shar (7.96 KB, text/plain)
2004-03-03 21:30 UTC, Cyrille Lefevre
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Lefevre 2004-03-03 21:30:12 UTC
	seti-applet 0.4.1 was removed as part of phase II of the
	GNOME 1.4 desktop removal. this PR refer to seti-applet
	2.1.3 which is GNOME 2.0 compliant.

	Makefile
		PORTNAME renamed from seti_applet to seti-applet
		PORTVERSION bumped to 2.1.3
		PORTREVISION deleted
		MAINTAINER sets to ports@FreeBSD.org
		LIB_DEPENDS's libgtop bumped
		USE_GMAKE added
		USE_GNOME updated
		patch-configure deleted
		patch-seti_applet updated
	distinfo
		updated
	pkg-descr
		as-is
	pkg-message
		known bugs section added
	pkg-plist
		updated
	files/patch-aa and files/patch-aa
		deleted
	files/patch-src::seti_applet.schemas
		seti_run_dir changed to /var/db/setiathome
		separate_exe_dir set to true
		seti_exe_dir defaulted to %%LOCALBASE%%/sbin

How-To-Repeat: 	port removed as part of phase II of the GNOME 1.4 desktop removal.
Comment 1 Cyrille Lefevre 2004-03-10 00:27:14 UTC
Makefile : *_SUB added

--- /dev/null	Wed Mar 10 01:25:34 2004
+++ Makefile	Wed Mar 10 01:24:36 2004
@@ -0,0 +1,65 @@
+# New ports collection makefile for:	seti-applet
+# Date Created:		1 Jul 2000
+# Whom:			HIYAMA Takeshi <th@cis.ibaraki.ac.jp>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	seti-applet
+PORTVERSION=	2.1.3
+CATEGORIES=	astro gnome
+MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+MASTER_SITE_SUBDIR=	${PORTNAME}
+
+MAINTAINER=	ports@FreeBSD.org
+COMMENT=	An applet that displays current status of seti@home client
+
+# Global variables
+#
+
+LIB_DEPENDS=	gtop-2.0:${PORTSDIR}/devel/libgtop2
+RUN_DEPENDS=	${LOCALBASE}/sbin/setiathome:${PORTSDIR}/astro/setiathome
+
+USE_REINPLACE=	yes
+USE_X_PREFIX=	yes
+USE_GMAKE=	yes
+USE_GNOME=	gnomeprefix gnomehack gnomepanel
+USE_LIBTOOL=	yes
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
+
+# Local variables
+#
+
+MSG_FILE=	${PKGDIR}/pkg-message
+PKGMESSAGE=	${WRKDIR}/pkg-message
+
+REINPLACE_SUB=	LOCALBASE=${LOCALBASE}
+PKGMESSAGE_SUB=	LOCALBASE=${LOCALBASE}
+
+FIND?=		find
+XARGS?=		xargs
+
+# Post-patch
+#
+
+post-patch: patch-seti_applet \
+	patch-pkgmessage
+
+patch-seti_applet:
+	@${REINPLACE_CMD} ${REINPLACE_SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/} \
+		${WRKSRC}/src/seti_applet.schemas
+
+patch-pkgmessage:
+	@${SED} ${REINPLACE_SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/} \
+		${MSG_FILE} > ${PKGMESSAGE}
+
+# Post-install
+#
+
+post-install: display-message
+
+display-message:
+	@${CAT} ${PKGMESSAGE}
+
+.include <bsd.port.mk>

Cyrille Lefevre
-- 
mailto:cyrille.lefevre@laposte.net
Comment 2 Koop Mast freebsd_committer 2004-09-15 21:18:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Take
Comment 3 Edwin Groothuis freebsd_committer 2004-12-22 01:04:51 UTC
State Changed
From-To: open->closed

Committed, thanks!